#include "rawrtudata.h"

namespace myapp::modbus {

std::unique_ptr<raw_data> raw_data::rtu()
{
	return std::make_unique<raw_rtu_data>();
}

uint8_t* raw_rtu_data::data()
{
	return &adu_[0];
}

int raw_rtu_data::data_length() const
{
	return size_ - 2;
}

void raw_rtu_data::data_length(int)
{
	throw std::logic_error("RTU ADU does not contain length field");
}


} /* namespace myapp::modbus */
